### Installation, tutorials and examples

#### Get started with React and learn how to build your first projects.

<ul className="md-list--flex">
  <li className="mdut--full">[Get started with Fluent UI React](#/get-started)</li>
  <li className="mdut--full">[Fluent UI React tutorial](https://github.com/microsoft/fluentui/wiki/Getting-Started-with-UI-Fabric)</li>
</ul>

#### Get started with React Native and learn how to build your first projects.

<ul className="md-list--flex">

  <li className="mdut--full">[Get started with Fluent UI React Native
](https://github.com/microsoft/fluentui-react-native)</li>
</ul>

### Documentation

In addition to the API documentation and control examples found in the [Controls section](#/controls/web) of this website, you can find a full collection of API references on the docs.microsoft.com portal.

<ul className="md-list--flex">
  <li className="mdut--full">[API reference on docs.microsoft.com](https://docs.microsoft.com/en-us/javascript/api/office-ui-fabric-react?branch=live&view=office-ui-fabric-react-latest)</li>
</ul>

### Release notes and demos

View Fluent UI React's versioned release notes and component demos.

<ul className="md-list--flex">
  <li className="mdut--full">[Release notes and demos](https://aka.ms/fluentdemo)</li>
</ul>

<h3 id="sharepoint-framework-dev">SharePoint Framework</h3>

SharePoint uses Fluent UI, so if you’re building on top of or within a SharePoint experience, you can be sure that your UI will blend in.

<ul className="md-list--flex">
  <li className="mdut--half">[SharePoint Framework overview](https://aka.ms/spfx)</li>
  <li className="mdut--half">[Use Fluent UI React components in web parts](https://aka.ms/spfx-fabric-react)</li>
  <li className="mdut--half">[Theme Designer](https://aka.ms/themedesigner)</li>
  <li className="mdut--half">[Get started with building client-side web parts](https://aka.ms/spfx-tutorials)</li>
</ul>

<h3 id="office-add-ins-dev">Office Add-ins</h3>

Fluent UI is the official UI toolkit for creating Office Add-ins. Check out some of these resources to learn more about how to use Fluent UI in your next Add-in.

<ul className="md-list--flex">
  <li className="mdut--full">[Add-ins overview](https://docs.microsoft.com/office/dev/add-ins/)</li>
  <li className="mdut--full">[Using Fluent UI React in your Add-ins](https://docs.microsoft.com/office/dev/add-ins/design/add-in-design)</li>
</ul>
